MaintenanceEventManagerInterface (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.shared.MaintenanceEventManagerInterface interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.shared
Interface MaintenanceEventManagerInterface

All Known Implementing Classes:
  MaintenanceEventManagerEJBImpl

    public interface MaintenanceEventManagerInterface

Method Summary
`boolean` | `canSchedule(AuthzSubject subject, MaintenanceEvent event)` Check to see if user is authorized to schedule a maintenance event
`MaintenanceEvent` | `getMaintenanceEvent(AuthzSubject subject, java.lang.Integer groupId)` Get the maintenance event for the group
`void` | `manageMonitors(AuthzSubject admin, MaintenanceEvent event)` Disable or enable monitors (alerts, measurements) for the group and its resources during the maintenance event.
`MaintenanceEvent` | `schedule(AuthzSubject subject, MaintenanceEvent event)` Schedule or reschedule a maintenance event
`void` | `unschedule(AuthzSubject subject, MaintenanceEvent event)` Unschedule a maintenance event

Method Detail

### getMaintenanceEvent

    MaintenanceEvent getMaintenanceEvent(AuthzSubject subject,
                                         java.lang.Integer groupId)
                                         throws PermissionException,
                                                org.quartz.SchedulerException

  Get the maintenance event for the group

  Throws:
    `PermissionException`
    `org.quartz.SchedulerException`

### manageMonitors

    void manageMonitors(AuthzSubject admin,
                        MaintenanceEvent event)
                        throws PermissionException

  Disable or enable monitors (alerts, measurements) for the group and its resources during the maintenance event.

  Throws:
    `PermissionException`

### schedule

    MaintenanceEvent schedule(AuthzSubject subject,
                              MaintenanceEvent event)
                              throws PermissionException,
                                     org.quartz.SchedulerException

  Schedule or reschedule a maintenance event

  Throws:
    `PermissionException`
    `org.quartz.SchedulerException`

### unschedule

    void unschedule(AuthzSubject subject,
                    MaintenanceEvent event)
                    throws PermissionException,
                           org.quartz.SchedulerException

  Unschedule a maintenance event

  Throws:
    `PermissionException`
    `org.quartz.SchedulerException`

### canSchedule

    boolean canSchedule(AuthzSubject subject,
                        MaintenanceEvent event)

  Check to see if user is authorized to schedule a maintenance event

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.